package com.zulutrade.sample.binaryoptions.trading.client.trading.dto;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * TraderStatistics, contains the statistics of a trader.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class TraderStatistics {

	String traderName;
	String strategy;
	String country; 
	int zuluRank;
	double roi; 
	double profit;
	double minimumRequiredCapital;
	double winPercentage; 
	int totalPositions;
	int weeks;
	int followers;
	double amountFollowing;
	
	public TraderStatistics(){}

	public TraderStatistics(
		String traderName, 
		String strategy,
		String country,
		int zuluRank,
		double roi, 
		double profit,
		double minimumRequiredCapital, 
		double winPercentage, 
		int totalPositions,
		int weeks, 
		int followers, 
		double amountFollowing
	) {
		this.traderName = traderName;
		this.strategy = strategy;
		this.country = country;
		this.zuluRank = zuluRank;
		this.roi = roi;
		this.profit = profit;
		this.minimumRequiredCapital = minimumRequiredCapital;
		this.winPercentage = winPercentage;
		this.totalPositions = totalPositions;
		this.weeks = weeks;
		this.followers = followers;
		this.amountFollowing = amountFollowing;
	}

	public String getTraderName() {
		return traderName;
	}

	public void setTraderName(String traderName) {
		this.traderName = traderName;
	}

	public String getStrategy() {
		return strategy;
	}

	public void setStrategy(String strategy) {
		this.strategy = strategy;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public int getZuluRank() {
		return zuluRank;
	}

	public void setZuluRank(int zuluRank) {
		this.zuluRank = zuluRank;
	}

	public double getRoi() {
		return roi;
	}

	public void setRoi(double roi) {
		this.roi = roi;
	}

	public double getProfit() {
		return profit;
	}

	public void setProfit(double profit) {
		this.profit = profit;
	}

	public double getMinimumRequiredCapital() {
		return minimumRequiredCapital;
	}

	public void setMinimumRequiredCapital(double minimumRequiredCapital) {
		this.minimumRequiredCapital = minimumRequiredCapital;
	}

	public double getWinPercentage() {
		return winPercentage;
	}

	public void setWinPercentage(double winPercentage) {
		this.winPercentage = winPercentage;
	}

	public int getTotalPositions() {
		return totalPositions;
	}

	public void setTotalPositions(int totalPositions) {
		this.totalPositions = totalPositions;
	}

	public int getWeeks() {
		return weeks;
	}

	public void setWeeks(int weeks) {
		this.weeks = weeks;
	}

	public int getFollowers() {
		return followers;
	}

	public void setFollowers(int followers) {
		this.followers = followers;
	}

	public double getAmountFollowing() {
		return amountFollowing;
	}

	public void setAmountFollowing(double amountFollowing) {
		this.amountFollowing = amountFollowing;
	}

	@Override
	public String toString() {
		return "TraderStatistics [traderName=" + traderName + ", strategy="
				+ strategy.replaceAll("\\r?\\n", " ") + ", country=" + country + ", zuluRank=" + zuluRank
				+ ", roi=" + roi + ", profit=" + profit
				+ ", minimumRequiredCapital=" + minimumRequiredCapital
				+ ", winPercentage=" + winPercentage + ", totalPositions="
				+ totalPositions + ", weeks=" + weeks + ", followers=" + followers
				+ ", amountFollowing=" + amountFollowing + "]";
	}
	
}
