package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.response;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TraderStatistics;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * TraderStatisticsResponse, the response we get when we request our trader's statistics.
 * Contains the trader's statistics, or the TradingError in case of error.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class TraderStatisticsResponse implements TradingResponse{

	boolean success;
	TradingError error; 
	TraderStatistics result;
	
	public boolean isSuccess() {
		return success;
	}
	
	public void setSuccess(boolean success) {
		this.success = success;
	}
	
	public TradingError getError() {
		return error;
	}
	
	public void setError(TradingError error) {
		this.error = error;
	}
	
	public TraderStatistics getResult() {
		return result;
	}
	
	public void setResult(TraderStatistics result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "TraderStatisticsResponse [success=" + success + ", error="
				+ error + ", result=" + result + "]";
	}
	
}
